Bug Hunting Session
Bug 113244 - UI Inconsequent naming for Zoom: Zoom level in tooltip (bottom right status bar) and Zoom factor (dialog & Help)
Summary: UI Inconsequent naming for Zoom: Zoom level in tooltip (bottom right status b...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium minor
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-18 20:33 UTC by Cor Nouws
Modified: 2017-10-21 11:20 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2017-10-18 20:33:38 UTC
As per subject.
So it should be either:
  Zoom level
or
  Zoom factor
Comment 1 Heiko Tietze 2017-10-19 06:35:08 UTC
"Zoom factor" occurs in 41 source files, "Zoom level" in 20 (including comments). Google finds 361k factors and 486k levels. I don't see any 'zoom factor' string definition so the update could be done at the documentation. Sophie, Olivier: your decision.
Comment 2 Cor Nouws 2017-10-19 06:37:37 UTC
thanks Heiko.
'Zoom Factor' is what we have from the past.
Comment 3 sophie 2017-10-19 09:28:15 UTC
Hi, as it's a percentage, I would say that it fits 'factor' definition, so I would go with "Zoom factor". Sophie
Comment 4 Cor Nouws 2017-10-19 10:06:01 UTC
(In reply to sophie from comment #3)
> Hi, as it's a percentage, I would say that it fits 'factor' definition, so I
> would go with "Zoom factor". Sophie

Ah indeed, very good explanation!
Comment 5 Heiko Tietze 2017-10-19 10:36:30 UTC
Patch under review https://gerrit.libreoffice.org/#/c/43544/
Comment 6 Olivier Hallot 2017-10-19 13:30:18 UTC
(In reply to sophie from comment #3)
> Hi, as it's a percentage, I would say that it fits 'factor' definition, so I
> would go with "Zoom factor". Sophie

Indeed, 'factor' implies a multiplication, which is the case.
Comment 7 Commit Notification 2017-10-20 09:56:58 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4d5bbf089a1fd97993294dd0c48aaad14e96f783

tdf#113244 - UI Inconsequent naming for Zoom

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Serg Bormant 2017-10-21 10:28:50 UTC
Please replace directly msgid for Russian POs before merging with new POTs, Russian translation is already correct.

-msgid "Zoom level. Right-click to change zoom level or click to open Zoom dialog."
+msgid "Zoom factor. Right-click to change zoom factor or click to open Zoom dialog."
 msgstr "Масштаб. Правый щелчок изменяет масштаб, левый открывает диалог «Масштаб»."

May be other languages has correct translation too...
Comment 9 Serg Bormant 2017-10-21 11:20:20 UTC
Please review:
https://gerrit.libreoffice.org/#/c/43643/2